1. Authentication
Pacific Bedbank API Rates Doc
  • INTRODUCTION
  • Getting Started
  • Payments
  • Discover
  • Endpoints Overview
  • Webhooks
  • Authentication
    • Login
      POST
    • Me
      GET
  • Search
    • List Countries
      GET
    • List Currencies
      GET
    • List Hotels
      GET
    • Search Hotel Rates
      POST
    • Search Hotel Min Rates
      POST
  • Bookings
    • Create Prebook
      POST
    • Prebook Payment Page
      GET
    • Prebook Payment Return
      GET
    • Get Prebook
      GET
    • List Bookings
      GET
    • Confirm Booking
      POST
    • Cancel Booking
      PUT
    • Amend Guest Name
      PUT
    • Get Booking
      GET
  • Schemas
    • LoginResponse
    • LoginRequest
    • CountriesResponse
    • Country
    • CurrenciesResponse
    • Currency
    • HotelListResponse
    • HotelSummary
    • HotelEssential
    • RateEssential
    • RoomTypeEssential
    • SearchResponseEssential
    • SupplierWarning
    • HotelRatesRequest
    • OccupancyInput
    • WholesalerCurrency
    • HotelMinRate
    • HotelMinRatesResponse
    • HotelMinRatesRequest
    • CreditLineInfo
    • PaymentSdkInfo
    • PrebookResponse
    • PrebookRoomRate
    • TravellerInfo
    • PrebookRequest
    • TravellerInput
    • BookingListItem
    • BookingListResponse
    • ConfirmBookingResponse
    • ConfirmBookingRequest
    • GuestInput
    • HolderInput
    • CancelBookingResponse
    • AmendGuestResponse
    • AmendGuestRequest
    • BookingDetailResponse
  1. Authentication

Login

POST
/api/v1/auth/login
Validate an agent API key.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://rates-api.globalbedbank.com/api/v1/auth/login' \
--header 'Content-Type: application/json' \
--data '{
    "api_key": "string"
}'
Response Response Example
200 - Example 1
{
    "agent_id": "string",
    "agent_name": "string",
    "email": "string",
    "expires_at": "string",
    "rate_limit": 0
}
Modified at 2026-06-03 00:11:28
Previous
Webhooks
Next
Me
Built with